% mittelwerte2.m
% Kapitel 2.6.1 Funktionen mit variabler Parameterzahl
%         Beispiel

function [out1, out2] = mittelwerte2 (x, schalter, y)

error (nargchk (1, 2, nargin))          % Prfe Anzahl bergebener Parameter

if nargin == 1
    out1 = mean(x);                     % Arithmetisches Mittel
    out2 = prod(x).^(1/length(x));      % Geometrisches Mittel
elseif nargin == 2
    if schalter == 'g' 
        out1 = prod(x).^(1/length(x));  % Geometrisches Mittel
    else
        out1 = mean(x);                 % Arithmetisches Mittel
    end      
    out2 = [];                          % Leere Ausgabe fr out2
end
